{% for acl in 'BIND_ACL' | get_env_list %}
	acl "{{acl}}" {
		# TODO
		localnets;
	};
{% endfor %}

options {
	directory "{{ 'BIND_CACHE_DIR' | get_env }}";
	
	version none;

	// If there is a firewall between you and nameservers you want
	// to talk to, you may need to fix the firewall to allow multiple
	// ports to talk.  See http://www.kb.cert.org/vuls/id/800113

	// If your ISP provided one or more IP addresses for stable 
	// nameservers, you probably want to use them as forwarders.  
	// Uncomment the following block, and insert the addresses replacing 
	// the all-0's placeholder.

	//========================================================================
	// If BIND logs error messages about the root key being expired,
	// you will need to update your keys.  See https://www.isc.org/bind-keys
	//========================================================================

	{% if 'BIND_RECURSION' | env_is('yes') %}
		# enables resursive queries
		recursion yes;
		{% if 'BIND_RECURSION_ALLOW_ACL' | env_not_empty  %}
			# allows recursive queries from "trusted" clients
			allow-recursion {
				{% for acl in 'BIND_RECURSION_ALLOW_ACL' | get_env_list %}{{acl}};{% endfor %}
			};
		{% endif %}
	{% endif %}

	{% if 'BIND_ALLOW_ACL' | env_not_empty  %}
		# allows queries from "trusted" clients
		allow-query {
			{% for acl in 'BIND_ALLOW_ACL' | get_env_list %}{{acl}};{% endfor %}
		};
	{% endif %}

	{% if 'BIND_LISTEN_ON' | env_not_empty  %}
		# dns private IP addresses - listen on allowed networks only
		listen-on {
			{% for address in 'BIND_LISTEN_ON' | get_env_list %}{{address}};{% endfor %}
		};
	{% endif %}

	{% if 'BIND_LISTEN_ON_v6' | env_not_empty  %}
		# dns private IP addresses - listen on allowed networks only
		listen-on-v6 {
			{% for address in 'BIND_LISTEN_ON_v6' | get_env_list %}{{address}};{% endfor %}
		};
	{% endif %}

	{% if 'BIND_FORWARDERS' | env_not_empty  %}
		# dns remote servers for forwarding
		forwarders {
			{% for address in 'BIND_FORWARDERS' | get_env_list %}{{address}};{% endfor %}
		};
	{% endif %}

	{% if 'BIND_ALLOW_TRANSFER' | env_not_empty  %}
		# disable zone transfers by default
		allow-transfer {
			{% for transfer in 'BIND_ALLOW_TRANSFER' | get_env_list %}{{transfer}};{% endfor %}
		};
	{% endif %}

	{% if 'BIND_DNSSEC_VALIDATION' | env_not_empty  %}dnssec-validation {{ 'BIND_DNSSEC_VALIDATION' | get_env }};{% endif %}
};
